> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/product/retrieve-product-price.md).

# Retrieve product price

Get the price for a product in a new purchase scenario, based on the product ID, the pricing list it's assigned to and specific pricing options.

## Request parameters

<table><thead><tr><th width="167.800048828125">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, which is the output of the <strong>Login</strong> method. An exception will be thrown if the values are incorrect.</td></tr><tr><td><code>productId</code></td><td><strong>Required (string)</strong><br>The unique identifier of the product from your system.</td></tr><tr><td><code>pricingListCode</code></td><td><strong>Required (string)</strong><br>The unique identifier of the pricing list.</td></tr><tr><td><code>priceOptions</code></td><td><strong>Optional (stringArray)</strong><br>Array of pricing option codes. These identifiers mark the individual options inside pricing options configuration groups. Can be NULL.</td></tr></tbody></table>

### Request sample

```php
<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$productId = 'YOUR_PRODUCT_ID';
$pricingListCode = 'YOUR_PRICING_LIST_CODE';
$priceOptions = array(
'Pricing_options_group_code1',
'Pricing_options_group_code2'
);

try {
    $ProdPrice= $client->getProductPrice($sessionID, $productId, $pricingListCode, $priceOptions);
} catch (SoapFault $e) {
    echo "ProductUnitPrice: " . $e->getMessage();
    exit;
}
```

## Response parameters

<table><thead><tr><th width="116.2000732421875">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><code>UnitPrice</code></td><td><strong>Object</strong></td></tr></tbody></table>

## Errors

<table><thead><tr><th width="335.7999267578125">Error</th><th>Description</th></tr></thead><tbody><tr><td><strong>INVALID_PARTNER</strong></td><td>No partner is set.</td></tr><tr><td><strong>PRODUCT_ERROR</strong></td><td>Invalid product ID.</td></tr><tr><td><strong>PARTNER_PRICING_LISTS_NOT_FOUND</strong></td><td>There are no pricing lists with the provided code.</td></tr><tr><td><strong>PRODUCT_NOT_FOUND</strong></td><td>There is no active product with the provided ID in the given pricing list.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/product/retrieve-product-price.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
